NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Motion.CurveContactCollection Class Reference

Represents a collection of 2D contact objects. More...

Inheritance diagram for NXOpen.Motion.CurveContactCollection:

Public Member Functions

NXOpen.Motion.CurveContact[] ToArray ()
 Returns an array of NXOpen.Motion.CurveContact objects. More...
 
unsafe
NXOpen.Motion.CurveContactBuilder 
CreateCurveContactBuilder (NXOpen.Motion.CurveContact contactobj)
 Creates a NXOpen.Motion.CurveContact More...
 
unsafe NXOpen.Motion.CurveContact FindObject (string name)
 Finds the NXOpen.Motion.CurveContact with the given name. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of 2D contact objects.

Any 2D contact object must be created and found through this class

To obtain an instance of this class, refer to NXOpen.Motion.MotionManager

Created in NX5.0.0

Member Function Documentation

unsafe NXOpen.Motion.CurveContactBuilder NXOpen.Motion.CurveContactCollection.CreateCurveContactBuilder ( NXOpen.Motion.CurveContact  contactobj)

Creates a NXOpen.Motion.CurveContact

Created in NX5.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
contactobj"<see cref="NXOpen.Motion.CurveContact"> NXOpen.Motion.CurveContact to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
override int NXOpen.Motion.CurveContactCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

unsafe NXOpen.Motion.CurveContact NXOpen.Motion.CurveContactCollection.FindObject ( string  name)

Finds the NXOpen.Motion.CurveContact with the given name.

An exception will be thrown if no object can be found with given name.

Created in NX5.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
nameThe name of the NXOpen.Motion.CurveContact .
Returns
NXOpen.Motion.CurveContact with this name.
NXOpen.Motion.CurveContact [] NXOpen.Motion.CurveContactCollection.ToArray ( )

Returns an array of NXOpen.Motion.CurveContact objects.

Property Documentation

Tag NXOpen.Motion.CurveContactCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.